Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingParser

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingParser

All Implemented Interfaces:
  UrlMappingParser

    public class DefaultUrlMappingParser

A simple implementation of the UrlMappingParser interface. Most of the logical is encapsulated in the DefaultUrlMappingData class.

Authors:
  Graeme Rocher

See Also:
  DefaultUrlMappingData

Since:
  0.5

  Created: Mar 5, 2007 Time: 8:35:26 AM

Method Summary
`UrlMappingData` | `parse(java.lang.String url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### parse

    public UrlMappingData parse(java.lang.String url)

Groovy Documentation